/*

*/
import java.util.Scanner;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.FileNotFoundException;

public class Part_1
{
   public static void main(String[] args)
   {
      // Create three Model objects to hold the geometry from the three GRS files.
      Model model0 = new Model();
      Model model1 = new Model();
      Model model2 = new Model();



      // Check for file names on the command line.
      if ( 3 > args.length )
      {
         System.err.println("Usage: java Part_1 <GRS-file-name> <GRS-file-name> <GRS-file-name>");
         System.exit(-1);
      }



      // Open the GRS files named on the command line.




      // Get the geometry from the GRS files





      /***************************************************/
      // THE REST OF THIS FILE DOES NOT NEED TO BE CHANGED.

      // Create the Scene object that we shall render.
      Scene scene = new Scene();

      // Add the Models to the Scene.
      scene.modelList.add(model0);
      scene.modelList.add(model1);
      scene.modelList.add(model2);

      // Create a Camera object.
      Camera camera = new Camera();

      // Give the Camera a view matrix.
      camera.view2Identity();

      // Set up the camera's view volume.
      double left   = -0.5;
      double right  =  0.5;
      double bottom = -0.5;
      double top    =  0.5;
      double near   =  2.0;
      double far    =  10.0;
      camera.projFrustum(left, right, bottom, top, near, far);

      // Set up the camera's location and orientation.
      double eyex=2,    eyey=2,    eyez=2;
      double centerx=0, centery=0, centerz=0;
      double upx=0,     upy=1,     upz=0;
      camera.viewLookAt(eyex,    eyey,    eyez,
                        centerx, centery, centerz,
                        upx,     upy,     upz);

      // Add the Camera to the Scene.
      scene.setCamera(camera);

      // Create a FrameBuffer to render the Scene into.
      int vp_width  = 512;
      int vp_height = 512;
      FrameBuffer fb = new FrameBuffer(vp_width, vp_height);
      // Give the framebuffer a nice background color.
      fb.clearFB(java.awt.Color.lightGray);
      // Render our scene into the frame buffer.
      SceneRender.renderScene(scene, fb);
      // Save the resulting image in a file.
      fb.dumpFB2File("Part_1.ppm");
   }//main()
}//Part_1